I’m confused

Outdated version of Ambiance

I just paid $2.99 for the upgraded Ambiance app (3.9) so that it would be compatible with my iPhone OS 10.3.3. I am still getting a message saying to contact the creator of the app so that it will be compatible. Please advise. Is there another upgrade?
3 people have
this problem
+1
Reply